package com.google.zxing.oned.rss.expanded.decoders;

import com.google.zxing.FormatException;
import com.google.zxing.NotFoundException;
import com.google.zxing.common.BitArray;
import ඓ.K.K.K.C1293;

public final class AI01AndOtherAIs extends AI01decoder {
    public static final int HEADER_SIZE = 4;

    public AI01AndOtherAIs(BitArray bitArray) {
        super(bitArray);
    }

    @Override // com.google.zxing.oned.rss.expanded.decoders.AbstractExpandedDecoder
    public String parseInformation() throws NotFoundException, FormatException {
        StringBuilder r0 = C1293.m3416("(01)");
        int length = r0.length();
        r0.append(getGeneralDecoder().extractNumericValueFromBitArray(4, 4));
        encodeCompressedGtinWithoutAI(r0, 8, length);
        return getGeneralDecoder().decodeAllCodes(r0, 48);
    }
}
